View Issue Details

IDProjectCategoryView StatusLast Update
0021876mantisbtemailpublic2017-01-23 09:21
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.3.3 
Target Version1.3.4Fixed in Version1.3.4 
Summary0021876: Email notifications for notes shouldn't include full issue information
Description

The email for issue note added notification should focus on note information to make it easier to focus on the event change and not fish it out of issue information + issue history.

TagsNo tags attached.

Relationships

related to 0022232 closedvboctor Email verbose notifications should be OFF by default 

Activities

Related Changesets

MantisBT: master-1.3.x b1c063b3

2016-11-07 01:37:47

vboctor

Details Diff
Re-implement issue note notifications

Email notifications for notes shouldn't include full issue information
Fixes 0021876

Mentioned users in a new note shouldn't receive double notifications
Fixes 0021877

Include note attachments information in issue note added notification
Fixes 0021875

Explicitly pass issue note id to email notifications rather than getting latest note id
Fixes 0021879

Improve issue note caching
Fixes 0021878
mod - bugnote_add.php Diff File
mod - core/bugnote_api.php Diff File
mod - core/email_api.php Diff File
mod - core/file_api.php Diff File
mod - core/mention_api.php Diff File
mod - lang/strings_english.txt Diff File

MantisBT: master-1.3.x 85d9ad4f

2016-11-08 10:41:10

vboctor

Details Diff
Use consistent email subject and formatting

Use the same subject for email subject for bugnote add event and formatting
as other notifications.

Fixes 0021876
mod - core/email_api.php Diff File
mod - lang/strings_english.txt Diff File

MantisBT: master-1.3.x 552109fd

2016-11-08 11:09:50

vboctor

Details Diff
Revise access level checks

Fixes 0021876
mod - core/email_api.php Diff File

MantisBT: master-1.3.x aab3fe94

2016-11-10 02:01:12

vboctor

Details Diff
Support a config option to use full issue format

Add a configuration option that can be overriden per user, per project or
per user + project to opt into full issue (verbose) notifications.

Fixes 0021876
mod - config_defaults_inc.php Diff File
mod - core/email_api.php Diff File
mod - docbook/Admin_Guide/en-US/config/email.xml Diff File

MantisBT: master-1.3.x b63ff25d

2016-11-10 02:15:00

vboctor

Details Diff
email_generic_to_recipients() for no recipients

In case of empty recipients don’t do the work to fetch issue information.

Fixes 0021876
mod - core/email_api.php Diff File

MantisBT: master-1.3.x b8b406a6

2016-11-10 11:54:55

vboctor

Details Diff
User preference UI for full issue details in email

Fixes 0021876
mod - account_prefs_inc.php Diff File
mod - account_prefs_update.php Diff File
mod - lang/strings_english.txt Diff File

MantisBT: master-1.3.x b8603fd1

2016-11-13 18:00:08

vboctor

Details Diff
phpdoc fixes

Fixes 0021876
mod - core/bugnote_api.php Diff File
mod - core/email_api.php Diff File

MantisBT: master-1.3.x b8856c2d

2016-11-13 18:03:19

vboctor

Details Diff
Default to verbose notifications

For the time being, we will default to verbose notification, at least for 1.3.x.
Will revisit for 2.0.x specially as we polish email notifications further.

Fixes 0021876
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/config/email.xml Diff File

Issue History

Date Modified Username Field Change
2016-11-07 01:12 vboctor New Issue
2016-11-07 01:12 vboctor Status new => assigned
2016-11-07 01:12 vboctor Assigned To => vboctor
2016-11-07 01:53 vboctor Note Added: 0054456
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x b1c063b3
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x 85d9ad4f
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x 552109fd
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x aab3fe94
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x b63ff25d
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x b8b406a6
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x b8603fd1
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x b8856c2d
2016-11-13 18:13 vboctor Status assigned => resolved
2016-11-13 18:13 vboctor Resolution open => fixed
2016-11-13 18:13 vboctor Fixed in Version => 1.3.4
2016-11-27 00:45 vboctor Status resolved => closed
2017-01-23 09:21 dregad Relationship added related to 0022232